Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class LinearKernel

    java.lang.Object
      org.biojava.stats.svm.LinearKernel

All Implemented Interfaces:
  Serializable, SVMKernel

Deprecated. Just use SparseVector.kernel instead...

    public class LinearKernel

extends Object
implements SVMKernel, Serializable

Classic linear kernel. It actualy just delegates to SparseVector.kernel.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`LinearKernel()` Deprecated.

Method Summary
`double` | `evaluate(Object a, Object b)` Deprecated. The linear kernel is equal to the dot product of a and b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearKernel

    public LinearKernel()

  Deprecated.

Method Detail

### evaluate

    public double evaluate(Object a,
                           Object b)

  Deprecated.
  The linear kernel is equal to the dot product of a and b.

  Specified by:
    `evaluate` in interface `SVMKernel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD